'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var Registry = exports.Registry = {};

var registerNativeComponentClass = exports.registerNativeComponentClass = function registerNativeComponentClass(name, qmlContent) {
  var defaultProp = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'data';

  if (Registry[name]) {
    // noop
    throw new Error('Conflicted name. ' + name + ' is already registered');
    return;
  }

  Registry[name] = { qmlContent: qmlContent, defaultProp: defaultProp };
};